KATE(1)

NAME
kate - Editor avançat de text per a KDE

SYNOPSIS

kate [-s, --start nom] [-u, --use] [-p, --pid pid] [-e, --encoding nom] [-l, --line línia] [-c, --column columna] [-i, --stdin] [Opcions genèriques del KDE] [Opcions genèriques de Qt]

DESCRIPCIó

Kate és l'editor avançat de text del KDE.

Kate també proveeix la part editora a vàries aplicacions, sota el nom KWrite.

Algunes de les característiques de Kate inclouen la configurabilitat del ressaltat de la sintaxi per ordenar llenguatges com C i C++, HTML o scripts de bash, l'habilitat de crear i mantenir projectes, una interfície de múltiples documents (MDI), i un emulador de terminal contingut a dins seu.

Però Kate és molt més que un editor per a programadors. La seva capacitat d'obrir diversos fitxers simultàniament és ideal per editar molts fitxers de configuració de UNIX®. Aquest document s'ha escrit en el Kate.

OPCIONS

-s, --start nom
    Inicia el Kate amb una sessió indicada.

-u, --use
    Usa una instància de Kate que ja s'està executant.

-p, --pid  pid
    Tan sols intenta usar uns instància de Kateamb aquest pid

-e, --encoding  nom
    Estableix la codificació del fitxer a obrir La podeu usar per a forçar l'obrir un fitxer en el format utf-8, per exemple. (El comandament iconv -l proveeix una llista de codificacions, la qual us pot resultar d'ajuda).

-l, --line  línia
    Navega fins aquesta línia

-c, --column  columna
    Navega fins aquesta columna

-i, --stdin
    Llegeix el contingut de stdin

VEURE TAMBé

kwrite(1)

Hi ha disponible documentació d'usuari més detallada des de help:/kate (entreu aquesta URL al Konqueror o executeu khelpcenter help:/kate).

També hi ha més informació disponible al lloc web de Kate: http://kate.kde.org/.

EXEMPLES

Per obrir un fitxer anomenat source.cpp a la columna 15, línia 25, en una finestra existent de Kate, haureu d'usar:

    kate -c 15 -l 25 -u source.cpp

Si teniu activa una connexió a la Internet, podeu gaudir de l'avantatge de la transparència a xarxa del KDE per obrir un fitxer des d'un lloc de ftp. Si no disposeu de permisos d'escriptura sobre el servidor remot,el fitxer tan sols serà obert i se us demanarà per un nom de fitxer local i desar així els vostres canvis. Si teniu permís d'escriptura, els canvis seran desats amb transparència sobre la xarxa.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

AUTORS

El mantenidor de Kate és en Cullmann, Christoph <cullmann@kde.org>. Està disponible una comprensiva llista d'autors i col·laboradors en el complet manual d'usuari mencionat anteriorment.

AUTHOR
Watts, Lauri.